Package org.apache.sling.junit

# Interface RendererSelector

public interface RendererSelector
Provides a Renderer to execute tests

## Method Summary

Modifier and Type
Method
Description
`Renderer`
`getRenderer(TestSelector selector)`
Select a Renderer for supplied TestSelector.
`Collection<Renderer>`
`getRenderers()`
Return all available Renderers

## Method Details

### getRenderers

Collection<Renderer> getRenderers()
Return all available Renderers

Returns:
  the renderers collection

### getRenderer

Renderer getRenderer(TestSelector selector)
Select a Renderer for supplied TestSelector.

Parameters:
  `selector` - a test selector
Returns:
  a renderer for the supplied test selector